cherrytree (1.2.0+dfsg-1build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:20:19 +0100

cherrytree (1.2.0+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 08:03:41 +0200

cherrytree (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.0+dfsg
  * Remove dependency on gtksourceview3 and use gtksourceview4 (Closes: #1079436)
  * Update copyright information and add 2025
  * Remove superfluous files from copyright
  * Refresh the patch to remove the version check

 -- Patrick Winnertz <winnie@debian.org>  Sat, 18 Jan 2025 22:10:15 +0100

cherrytree (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.2+dfsg
  * New upstream version 1.1.1+dfsg
  * Simply copyright rule so that one line matches both files.

 -- Patrick Winnertz <winnie@debian.org>  Thu, 18 Apr 2024 20:25:26 +0200

cherrytree (1.1.0+dfsg-1) unstable; urgency=medium

  * Take over the maintainership (Closes: #1003512)
  * Update the copyright to 2024
  * Add a lintian override for the test.export.html which
    is created out of a cherrytree test
  * Add a short explanation to the skip googeltest patch
  * Add a CI/CD pipeline stolen from gr-satellites
  * Remove the old pytgk2 implementation from dfsg tarball
  * New upstream version 1.1.0+dfsg
  * Change maintainer address

 -- Patrick Winnertz <winnie@debian.org>  Wed, 27 Mar 2024 10:51:11 +0100

cherrytree (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.2+dfsg (Closes: #1030720)
  * Update debian/copyright.
  * Remove unused license definitions for Expat.
  * Update standards version to 4.6.2, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Andrius Merkys <merkys@debian.org>  Wed, 18 Oct 2023 01:39:36 -0400

cherrytree (0.99.53+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.53+dfsg
  * Refresh patches.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Thu, 19 Jan 2023 03:12:12 -0500

cherrytree (0.99.48+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.48+dfsg
  * Add explicit build dependency on libfribidi-dev.

 -- Andrius Merkys <merkys@debian.org>  Mon, 29 Aug 2022 07:48:04 -0400

cherrytree (0.99.47+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.47+dfsg
  * Change website to https://www.giuspen.net/software/.
  * Fix src/7za/* copyright pattern.
  * Exclude src/spdlog/.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Jun 2022 05:58:04 -0400

cherrytree (0.99.43+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.43+dfsg
  * Refreshing remove-Check-New-Version.patch.

 -- Andrius Merkys <merkys@debian.org>  Thu, 18 Nov 2021 05:27:07 -0500

cherrytree (0.99.41+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.41+dfsg

 -- Andrius Merkys <merkys@debian.org>  Fri, 24 Sep 2021 03:47:05 -0400

cherrytree (0.99.40+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.40+dfsg
  * Refreshing patches.

 -- Andrius Merkys <merkys@debian.org>  Wed, 18 Aug 2021 01:19:53 -0400

cherrytree (0.99.30+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.30+dfsg
  * Updating copyright years.
  * Ceasing to remove icons.gresource.xml.
  * Patching out googletest, as system-provided googletest is not found.

 -- Andrius Merkys <merkys@debian.org>  Mon, 25 Jan 2021 01:21:49 -0500

cherrytree (0.99.29+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.29+dfsg
  * spdlog has been debundled, building with libspdlog-dev.
  * Refreshing remove-Check-New-Version.patch.

 -- Andrius Merkys <merkys@debian.org>  Tue, 05 Jan 2021 06:00:21 -0500

cherrytree (0.99.27+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.27+dfsg
  * Refreshing remove-Check-New-Version.patch.
  * Excluding googletest.
  * Verifying GPG signature of the upstream tarball.

 -- Andrius Merkys <merkys@debian.org>  Wed, 23 Dec 2020 06:18:54 -0500

cherrytree (0.99.25+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.25+dfsg
  * Refreshing remove-Check-New-Version.patch.
  * Adjusting debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Fri, 11 Dec 2020 09:30:33 -0500

cherrytree (0.99.23+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.23+dfsg
  * Refreshing remove-Check-New-Version.patch.
  * Adjusting debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Sun, 29 Nov 2020 11:48:36 -0500

cherrytree (0.99.21+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.21+dfsg

 -- Andrius Merkys <merkys@debian.org>  Mon, 23 Nov 2020 01:00:00 -0500

cherrytree (0.99.20+dfsg-2) unstable; urgency=medium

  * Adding dependency on desktop-file-utils, as postinst calls its binary.

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Nov 2020 11:05:06 -0500

cherrytree (0.99.20+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20+dfsg
  * Dropping upstream-integrated patch
    f0d9b764e43ec82de5fc94c1d454f1a896484007.diff.
  * Refreshing remove-Check-New-Version.patch.
  * New dependency on libuchardet-dev.

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Nov 2020 02:09:44 -0500

cherrytree (0.99.18+dfsg-2) unstable; urgency=medium

  * Adding a patch to fix issue with the version number.
  * Removing 'Check Newer Version' menu item (Closes: #871452).

 -- Andrius Merkys <merkys@debian.org>  Wed, 11 Nov 2020 00:55:18 -0500

cherrytree (0.99.18+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.18+dfsg
  * Cleaning up debian/rules.
  * Bumping Standards-Version (no changes).
  * Bumping debhelper-compat (no changes).
  * Removing dependency on python3-lxml.

 -- Andrius Merkys <merkys@debian.org>  Thu, 05 Nov 2020 00:55:14 -0500

cherrytree (0.99.15+dfsg-2) unstable; urgency=medium

  * Updating Vcs-* tags after moving to debian/cherrytree.
  * Collecting missing license statements.

 -- Andrius Merkys <merkys@debian.org>  Wed, 04 Nov 2020 10:47:01 -0500

cherrytree (0.99.15+dfsg-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
  * debian/rules: Enable full hardening.
  * debian/copyright: Refresh information and use https urls.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrius Merkys ]
  * New upstream version 0.99.15+dfsg
  * New maintainer (Closes: #968536)

 -- Andrius Merkys <merkys@debian.org>  Wed, 21 Oct 2020 01:21:26 -0400

cherrytree (0.37.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop depends on python-appindicator (Closes: #886035)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 01 Jan 2018 15:50:46 -0500

cherrytree (0.37.6-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 24 Oct 2016 21:48:13 -0700

cherrytree (0.37.5-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 02 Oct 2016 18:26:04 -0700

cherrytree (0.37.4-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 01 Sep 2016 23:19:07 -0700

cherrytree (0.37.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 10 Jul 2016 20:54:39 -0700

cherrytree (0.37.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 19 Jun 2016 22:42:29 -0700

cherrytree (0.37.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.8, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 27 May 2016 01:51:05 -0700

cherrytree (0.36.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.7, no changes required.
  * Update watch file.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 06 Apr 2016 20:01:32 -0700

cherrytree (0.36.4-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 26 Jan 2016 21:35:31 -0800

cherrytree (0.36.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 23 Dec 2015 22:26:54 -0800

cherrytree (0.36.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 20 Dec 2015 22:59:16 -0800

cherrytree (0.35.11-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dep on dh-python.
  * Drop Debian menu file as per tech-ctte decision.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 08 Oct 2015 23:10:39 -0700

cherrytree (0.35.10-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 17 Aug 2015 23:15:51 -0700

cherrytree (0.35.9-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 06 Jul 2015 23:38:38 -0700

cherrytree (0.35.8-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 01 Jun 2015 02:42:00 -0700

cherrytree (0.35.7-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 03 Feb 2015 01:18:43 -0800

cherrytree (0.35.6-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 29 Dec 2014 17:04:42 -0800

cherrytree (0.35.5-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 05 Dec 2014 00:00:16 -0800

cherrytree (0.35.4-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 10 Nov 2014 00:31:31 -0800

cherrytree (0.35.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 05 Nov 2014 23:34:38 -0800

cherrytree (0.35.2-1) unstable; urgency=medium

  * New upstream release.
  * Move maintainership of package to the Python Applications Packaging Team
    <python-apps-team@lists.alioth.debian.org>.
    - Add myself to Uploaders.
  * Bump standards version to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 15 Oct 2014 23:50:58 -0700

cherrytree (0.34.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 16 Aug 2014 23:37:12 -0700

cherrytree (0.34.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 06 Aug 2014 23:47:49 -0700

cherrytree (0.33.4-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 31 May 2014 13:05:51 -0700

cherrytree (0.33.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 25 May 2014 01:10:44 -0700

cherrytree (0.33.1-1) unstable; urgency=medium

  * New upstream release.
  * Add dependency on python-dbus.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 11 May 2014 20:40:06 -0700

cherrytree (0.33.0-1) unstable; urgency=medium

  * New upstream release.
  * Update email address.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 26 Apr 2014 15:19:12 -0700

cherrytree (0.32.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 05 Jan 2014 01:13:32 -0800

cherrytree (0.31.5-1) unstable; urgency=medium

  * New upstream release.
  * Add dependency on python-appindicator.
  * Bump standards version to 3.9.5, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 20 Dec 2013 15:47:17 -0800

cherrytree (0.30.5-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 31 Aug 2013 03:00:39 -0700

cherrytree (0.30.2-1) unstable; urgency=low

  * New upstream release.
  * Add dependency on python-enchant.
  * Update debian/copyright since cherrytree is now GPL-3+.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 28 Aug 2013 01:49:29 -0700

cherrytree (0.30.1-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 24 Aug 2013 03:10:17 -0700

cherrytree (0.29.4-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 21 Mar 2013 21:42:14 -0700

cherrytree (0.29.3-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 13 Mar 2013 18:42:59 -0700

cherrytree (0.29.2-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 30 Jan 2013 21:43:46 -0800

cherrytree (0.29-1) unstable; urgency=low

  * New upstream release.
  * Fix lintian tag vcs-field-not-canonical.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 10 Jan 2013 21:42:21 -0800

cherrytree (0.28.5-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 20 Nov 2012 16:52:01 -0800

cherrytree (0.28.4-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 11 Nov 2012 17:06:44 -0800

cherrytree (0.28-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.4, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 13 Oct 2012 18:54:17 -0700

cherrytree (0.27.1-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 01 Oct 2012 22:29:16 -0700

cherrytree (0.27-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 18 Sep 2012 22:10:03 -0700

cherrytree (0.26.3-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch file to look for .bz2/.xz tarballs.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 25 Aug 2012 20:22:50 -0700

cherrytree (0.25.4-1) unstable; urgency=low

  * New upstream release.
  * Add versioned dependency on python-gtk2 (>= 2.16).
  * Update Format header in debian/copyright to latest DEP-5 revision.
  * Bump standards version to 3.9.3, no changes required.
  * Bump dh compat level to 9.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 03 May 2012 22:53:41 -0700

cherrytree (0.25.3-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 10 Feb 2012 16:12:38 -0800

cherrytree (0.25-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 14 Jan 2012 16:55:58 -0800

cherrytree (0.24-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 28 Dec 2011 17:31:08 -0800

cherrytree (0.23.1-1) unstable; urgency=low

  * Initial release. (Closes: #580358)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 14 Oct 2011 00:51:59 -0700
